# javadocToolFor

abstract fun javadocToolFor(config: Action<in JavaToolchainSpec>): Provider<JavadocTool>

Obtain a JavadocTool matching the JavaToolchainSpec, as configured by the provided action.

#### Return

A `Provider<JavadocTool>`

#### Parameters

config

The configuration of the `JavaToolchainSpec`

abstract fun javadocToolFor(spec: JavaToolchainSpec): Provider<JavadocTool>

Obtain a JavadocTool matching the JavaToolchainSpec.

#### Return

A `Provider<JavadocTool>`

#### Parameters

spec

The `JavaToolchainSpec`